BeanValidationProvider (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.validation

## Class BeanValidationProvider

- java.lang.Object
- - org.apache.cxf.validation.BeanValidationProvider

- All Implemented Interfaces:
    `AutoCloseable`

      public class BeanValidationProvider
      extends Object
      implements AutoCloseable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanValidationProvider()` |
    `BeanValidationProvider​(javax.validation.ParameterNameProvider parameterNameProvider)` |
    `BeanValidationProvider​(javax.validation.ValidationProviderResolver resolver)` |
    `BeanValidationProvider​(javax.validation.ValidationProviderResolver resolver, Class<U> providerType)` |
    `BeanValidationProvider​(javax.validation.ValidationProviderResolver resolver, Class<U> providerType, ValidationConfiguration cfg)` |
    `BeanValidationProvider​(javax.validation.Validator validator)` |
    `BeanValidationProvider​(javax.validation.ValidatorFactory factory)` |
    `BeanValidationProvider​(ValidationConfiguration cfg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `<T> void` | `validateBean​(T bean)` |
    `<T> void` | `validateParameters​(T instance, Method method, Object[] arguments)` |
    `<T> void` | `validateReturnValue​(T bean)` |
    `<T> void` | `validateReturnValue​(T instance, Method method, Object returnValue)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanValidationProvider

          public BeanValidationProvider()

    - #### BeanValidationProvider

          public BeanValidationProvider​(javax.validation.ParameterNameProvider parameterNameProvider)

    - #### BeanValidationProvider

          public BeanValidationProvider​(ValidationConfiguration cfg)

    - #### BeanValidationProvider

          public BeanValidationProvider​(javax.validation.Validator validator)

    - #### BeanValidationProvider

          public BeanValidationProvider​(javax.validation.ValidatorFactory factory)

    - #### BeanValidationProvider

          public BeanValidationProvider​(javax.validation.ValidationProviderResolver resolver)

    - #### BeanValidationProvider

          public BeanValidationProvider​(javax.validation.ValidationProviderResolver resolver,
                                        Class<U> providerType)

    - #### BeanValidationProvider

          public BeanValidationProvider​(javax.validation.ValidationProviderResolver resolver,
                                        Class<U> providerType,
                                        ValidationConfiguration cfg)

  - ### Method Detail

    - #### validateParameters

          public <T> void validateParameters​(T instance,
                                             Method method,
                                             Object[] arguments)

    - #### validateReturnValue

          public <T> void validateReturnValue​(T instance,
                                              Method method,
                                              Object returnValue)

    - #### validateReturnValue

          public <T> void validateReturnValue​(T bean)

    - #### validateBean

          public <T> void validateBean​(T bean)

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`